Get all ai hosting plans of a customer
GET/v2/ customers/ {customerId}/ ai-hostings/
API version
v2
Request method
GET
Operation ID
ai-hosting-customer-get-plans
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/ai-hostings?topUsageCount=123
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aiHosting.aiHostingCustomerGetPlans({
"customerId": "string",
"queryParameters": {
"topUsageCount": 123
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\AIHosting\AiHostingCustomerGetPlans\AiHostingCustomerGetPlansRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new AiHostingCustomerGetPlansRequest(
customerId: "string"
))
->withTopUsageCount(123);
$response = $client->aiHosting()->aiHostingCustomerGetPlans($request);
var_dump($response->getBody();